package com.th.demo.mapping.maint;

import com.th.demo.model.maint.UserWare;

import java.util.List;

public interface UserWareMapper {
    int deleteByPrimaryKey(String id);

    int insert(UserWare record);

    int insertSelective(UserWare record);

    UserWare selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(UserWare record);

    int updateByPrimaryKey(UserWare record);

    List<String> selectByUserIdForUserWare(String userId, String belongId);

    int deleteByUserIdBelongId(String selectUserId, String belongId);
}